Loading...
Searching...
No Matches
caf::actor_traits< T > Struct Template Reference

Provides uniform access to properties of actor types. More...

`#include <actor_traits.hpp>`

Inheritance diagram for caf::actor_traits< T >:

## Additional Inherited Members

Static Public Attributes inherited from caf::default_actor_traits< T, std::is_base_of< abstract_actor, T >::value >
static constexpr bool | is_dynamically_typed
static constexpr bool | is_statically_typed
static constexpr bool | is_blocking
static constexpr bool | is_non_blocking
static constexpr bool | is_incomplete

## Detailed Description

template<class T>
struct caf::actor_traits< T >

Provides uniform access to properties of actor types.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor_traits.hpp